#ifndef SYS_PROPERTIES_H
#define SYS_PROPERTIES_H
#include "http/httpsvr_properties.h"
#include "mqtt/mqtt_properties.h"
#include "oss/oss_properties.h"

namespace zsy
{
    struct SysProperties
    {
        HttpsvrProperties httpsvr;
        OssProperties oss;
        std::vector<MqttProperties> mqtts;
    };

    inline void from_json(const nlohmann::json &j, SysProperties &o)
    {
        PARSE_JSON(httpsvr, o.httpsvr);
        PARSE_JSON(mqtts, o.mqtts);
        PARSE_JSON(oss, o.oss);
    }
}

#endif //SYS_PROPERTIES_H
